linkchecker (10.0.0-1) unstable; urgency=medium

  * fix syntax of lists (Closes: #935529)
  * new upstream release:
    * removes GUI support (Closes: #934458)
    * ported to Python 3 (Closes: #936950)
  * fix python3 dependencies (Closes: #953375)
  * remove last debian-specific patch, merged upstream

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 27 Jan 2021 15:16:44 -0500

linkchecker (9.4.0-2) unstable; urgency=medium

  * add missing dependencies (Closes: #897462, #901780)
  * remove old apache2.2 compat shims (Closes: #775087)
  * remove .desktop file from commandline tool (Closes: #901782, #780488)
  * silence various lintian warnings:
    * follow apache policy more closely
    * rename apache config file
    * ignore false positives on old 2.2 apache config matches
    * removing old pycompat
    * clear out whitespace in changelog
    * update standards to 4.1.4
    * remove conflict with version from squeeze and earlier
    * reformat copyright file to comply with dep5
    * bump dh compat to 11 and fix docs install

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 21 Jun 2018 11:48:01 -0400

linkchecker (9.4.0-1) unstable; urgency=low

  [ Bastian Kleineidam ]
  * Remove build-depend on hardening-wrapper since the appropriate
    GCC environment vars are already set by dh_auto_* helpers.

  [ Antoine Beaupré ]
  * New upstream release (Closes: #847208, #878942)
  * Take over maintainership. Maintainer is part of the upstream GitHub
    organization that is trying to continue maintain the project while
    calvin@ is emeritus.
  * Add git-buildpackage configuration
  * Remove two patches factored in upstream
  * Add missing setuptools dependency
  * Remove the GUI binary package, split out upstream (Closes: #875032)
  * Update copyright file to follow upstream changes
  * Fix upstream urls to the new organization
  * Ignore files not packaged in upstream tarball
  * Disable manual .mo file install so that build works at all
  * Include cgi-bin readme to clarify web configuration (Closes: #775088)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 11 Apr 2018 20:15:00 -0400

linkchecker (9.3-5) unstable; urgency=medium

  * QA upload.
  * Add another patch to make SSL work with requests >= 2.1.5.

 -- Vincent Bernat <bernat@debian.org>  Sat, 18 Nov 2017 13:35:07 +0100

linkchecker (9.3-4) unstable; urgency=medium

  * QA upload.
  * Update SSL patch which was broken after unbundling in
    python-requests. Related to #772947.

 -- Vincent Bernat <bernat@debian.org>  Sat, 23 Jul 2016 14:42:30 +0200

linkchecker (9.3-3) unstable; urgency=medium

  * QA upload.
  * Add call to dh_auto_install in override_dh_auto_install-indep,
    should make "dpkg-buildpackage -A" to work. Closes: #806069.

 -- Santiago Vila <sanvila@debian.org>  Mon, 18 Jul 2016 14:02:12 +0200

linkchecker (9.3-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA Group
  * Add dh-python to build-deps
  * Put bash completions in correct location
  * Removed redundant menu file
  * Updated watch file
  * Dropped build-dep on hardening-flags
  * Dropped unneeded versions on deps
  * Bumped standards version to 3.9.8
  * Patch from upstream to fix Python version check (Closes: #826027)

 -- David William Richmond Jones <dwrj87@gmail.com>  Mon, 04 Jul 2016 06:08:23 +0100

linkchecker (9.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix HTTPS checks (Closes: #772947)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 19 May 2016 14:53:14 -0400

linkchecker (9.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 16 Jul 2014 07:34:41 +0200

linkchecker (9.2-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/copyright

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 23 Apr 2014 22:31:41 +0200

linkchecker (9.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 30 Mar 2014 19:22:02 +0200

linkchecker (9.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 04 Mar 2014 22:01:40 +0100

linkchecker (8.6-2) unstable; urgency=low

  * Updated debian/watch

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 Jan 2014 20:09:07 +0100

linkchecker (8.6-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards version to 3.9.5

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 08 Jan 2014 22:44:41 +0100

linkchecker (8.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 24 Dec 2013 07:18:06 +0100

linkchecker (8.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 25 Jan 2013 07:21:21 +0100

linkchecker (8.3-2) unstable; urgency=low

  * Move custom control fields to debian/copyright
    (Closes: #697943)
  * Updated standards version to 3.9.4

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Jan 2013 20:50:47 +0100

linkchecker (8.3-1) unstable; urgency=low

  * New upstream release.
  * Remove unneeded dependency on pysqlite.
  * Remove conflict on python-dns.
    Closes: #694809

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 06 Jan 2013 22:33:15 +0100

linkchecker (8.2-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper compatibility level 9.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 09 Nov 2012 19:19:41 +0100

linkchecker (8.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 14 Oct 2012 20:48:03 +0200

linkchecker (8.0-1) unstable; urgency=low

  * New upstream release.
  * Require Python >= 2.7.2
  * Upstream fixed bug #681069 (thanks for NMUing).

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 02 Sep 2012 23:47:00 +0200

linkchecker (7.9-2) unstable; urgency=low

  * Fix postinstallation script of linkchecker-web. (Closes: #677163)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 12 Jun 2012 07:33:19 +0200

linkchecker (7.9-1) unstable; urgency=low

  * New upstream release (Closes: #674996)
  * Add missing dependency on python-qt4-sql for linkchecker-gui.
  * Standards version 3.9.3.1
  * Suggest python-meliae for memory debugging.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Jun 2012 07:17:23 +0200

linkchecker (7.8-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 29 Apr 2012 10:32:16 +0200

linkchecker (7.7-2) unstable; urgency=low

  * Fix FTBFS when building only architecture dependant packages.
    Closes: #670313

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 25 Apr 2012 06:54:11 +0200

linkchecker (7.7-1) unstable; urgency=low

  * New upstream release.
  * Add new package linkchecker-web which provides the
    web interface. Do not bundle it with the command line
    client because then linkchecker would depend on web
    servers and the PyQt libraries.
  * Make linkchecker-web compatible with Apache 2.2 and 2.4.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 22 Apr 2012 20:48:03 +0200

linkchecker (7.6-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards Version to 3.9.3.
  * Do not fail in postinst on Apache2 configuration errors.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 31 Mar 2012 14:13:17 +0200

linkchecker (7.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 09 Jan 2012 20:51:38 +0100

linkchecker (7.4-1) unstable; urgency=low

  * New upstream release.
    + Requires Python >= 2.7
    + Remove old conffile /etc/linkchecker/logging.conf
  * Use debhelper v8.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 02 Jan 2012 12:25:46 +0100

linkchecker (7.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 05 Nov 2011 13:33:47 +0100

linkchecker (7.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 20 Oct 2011 10:17:49 +0200

linkchecker (7.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 28 May 2011 12:45:43 +0200

linkchecker (7.0-1) unstable; urgency=low

  * New upstream release.
  * Added conflict to python-dnspython since linkchecker installs
    a patched version of that module.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 07 May 2011 14:01:23 +0200

linkchecker (6.9-1) unstable; urgency=low

  * New upstream release.
  * Move python-qscintilla2 from depends to recommends.
  * Use hardening-wrapper for compiling C extensions.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 01 May 2011 11:45:52 +0200

linkchecker (6.8-1) unstable; urgency=low

  * New upstream release.
  * Let linkchecker suggest linkchecker-gui.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 13 Apr 2011 19:06:44 +0200

linkchecker (6.7-1) unstable; urgency=low

  * New upstream release.
    + Fixed manpage notes to mention --ignore-url instead of old -s/-i
      options. (Closes: #621040)
  * Use Standards version 3.9.2 (no changes needed)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 12 Apr 2011 08:19:10 +0200

linkchecker (6.6-1) unstable; urgency=low

  * New upstream release.
  * Added Vcs-Git and Vcs-Browser entries in debian/control.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 14 Mar 2011 15:04:35 +0100

linkchecker (6.5-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch regex.
  * Replaced cdbs with dh.
  * Use dh_python2 instead of dh_pycentral. (Closes: #616875)
  * Reload Apache configuration on postinstall since the configuration
    file /etc/apache2/conf.d/linkchecker has been installed.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 07 Mar 2011 18:38:45 +0100

linkchecker (6.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 08 Feb 2011 21:28:01 +0100

linkchecker (6.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 09 Jan 2011 10:50:20 -0600

linkchecker (6.2-1) unstable; urgency=low

  * New upstream release.
  * Add python-qscintilla2 to dependencies.
    (Closes: #609061)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 28 Dec 2010 17:18:50 +0100

linkchecker (6.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 19 Dec 2010 17:16:01 +0100

linkchecker (6.0-1) unstable; urgency=low

  * New upstream release.
    + Requires Python >= 2.6
    + Removes deprecated options --no-anchor-caching and
      --no-proxy-for.
    + Removes backwards compatilibity parsing and require the new
      multiline configuration syntax.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 21 Nov 2010 11:37:56 +0100

linkchecker (5.5-1) unstable; urgency=low

  * New upstream release.
  * Depend on PyQt >= 4.5.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 26 Oct 2010 16:21:09 +0200

linkchecker (5.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 30 Sep 2010 07:43:40 +0200

linkchecker (5.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 29 Sep 2010 21:10:23 +0200

linkchecker (5.2-2) unstable; urgency=low

  * Updated debian/*.install files for new default Python version
    (Closes: #587219)
  * Remove generated files in debian/rules clean target
  * Use new 3.0 Debian source format
  * Use new standards version 3.9.0 in debian/control

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 22 Jul 2010 19:35:06 +0200

linkchecker (5.2-1) unstable; urgency=low

  * New upstream release.
  * Does not install msgfmt.py anymore, since it has been moved out
    of the linkcheck package.
    (Closes: #555414)
  * Standards version 3.8.4.
  * Use new 3.0 (quilt) source package format.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 08 Mar 2010 09:26:02 +0100

linkchecker (5.1-2) unstable; urgency=low

  * Added dependency on QT sqlite database package for linkchecker-gui
    (Closes: #568773)
  * Added build-dependency on python-all-dev instead of just python-dev.
    (Closes: #569451)
  * New Standards version 3.8.3

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 15 Feb 2010 23:38:59 +0100

linkchecker (5.1-1) unstable; urgency=low

  * New upstream release.
    + Uses correct directory in apache configuration
      (Closes: #519646)
    + Uses ScriptAlias in the Apache config
      (Closes: #535497)
  * Use Debian Standards version 3.8.2.0; no packaging changes required.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 04 Aug 2009 08:05:40 +0200

linkchecker (5.0.1-2) unstable; urgency=medium

  * Let the binary target depend on install targets in debian/rules.
    Workaround for bug #486848 of cdbs.
    Urgency medium for rc bug fix.
    (Closes: #526572)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 21 Jun 2009 10:27:47 +0200

linkchecker (5.0.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes bashism in example script (Closes: #489629)
    + Stops immediately after hitting Ctrl-C twice (Closes: #476623)
    + Handles persistent connections correct (Closes: #512358)
  * Standards version 3.8.0
  * Use default python version to build packages, avoiding the
    version-specific hash-bang line in commandline scripts
    (Closes: #480395)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 01 Feb 2009 11:16:41 +0100

linkchecker (4.9-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v6
  * Double Ctrl-C quits without cleanup (Closes: #476623)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 14 Mar 2008 12:23:45 +0100

linkchecker (4.8-1) unstable; urgency=low

  * New upstream release.
    + Prevent double encoding in HTML info output (Closes: #446918)
  * Add Homepage: field to control info.
  * Standards version 3.7.3
  * Remove empty lintian overrides directory from package
  * Rename debian/NEWS.Debian to debian/NEWS, which actually installs
    this file as NEWS.Debian :/

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 16 Oct 2007 20:00:25 +0200

linkchecker (4.7-2) unstable; urgency=low

  * On some installations old files are lingering around after purging
    in /usr/lib/python2.4/site-packages/linkcheck/. Postrm will remove
    them forcefully now.
    (Closes: #429580)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 19 Jun 2007 16:57:03 +0200

linkchecker (4.7-1) unstable; urgency=low

  * New upstream release.
    + Documentation mentions that --anchors enables logging of warnings
      (Closes: #411414)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 19 Feb 2007 20:22:47 +0100

linkchecker (4.6-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 17 Nov 2006 21:17:30 +0100

linkchecker (4.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 16 Sep 2006 12:08:36 +0200

linkchecker (4.4-1) unstable; urgency=low

  * New upstream release (Closes: #385956)

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  4 Sep 2006 22:00:50 +0200

linkchecker (4.3-1) unstable; urgency=low

  * New upstream release.
    + adds more recursion levels in CGI script (Closes: #381445)
  * Remove old config file on purge, generated by previous updates
  * Updated Standards version 3.7.2.1
  * Updated more dependencies for Python transition

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Aug 2006 15:23:39 +0200

linkchecker (4.2-1) unstable; urgency=low

  * New upstream release.
  * Update dependencies for Python transition

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 14 Jun 2006 18:00:13 +0200

linkchecker (4.1-1) unstable; urgency=low

  * New upstream release.
    - avoids exceptions on shutdown (Closes: #368325)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 23 May 2006 21:57:14 +0200

linkchecker (4.0-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.7.2.0

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 14 May 2006 10:45:12 +0200

linkchecker (3.4-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v5
  * Remove now-obsolete linkchecker-ssl conflict

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  3 Jan 2006 19:18:22 +0100

linkchecker (3.3-1) unstable; urgency=low

  * New upstream release.
    - fixes checking of local files (Closes: #332870)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 10 Oct 2005 23:55:56 +0200

linkchecker (3.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 20 Jul 2005 11:04:39 +0200

linkchecker (3.1-1) unstable; urgency=low

  * New upstream release.
    - bogus errors are not cached anymore (Closes: #307877)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Jul 2005 17:11:48 +0200

linkchecker (3.0-1) unstable; urgency=low

  * New upstream release.
    Thanks to the various Debian bug reporters these bugs are fixed
    upstream:
    - only generates ~/.linkchecker/ when it is needed
      (Closes: #307876)
    - uses new URL filtering instead of --intern/--extern
      (Closes: #307915)
    - fixes man page quotes, url vs. URL and encoding URLs.
      (Closes: #307917, #307916, #307808)
    - uses the preferred encoding instead of a hardcoded one
      (Closes: #307810)
    - removes unused robotstxt config var
      (Closes: #308146)
    - fixes bash-completion script
      (Closes: #309076)
    - fixes invalid log level
      (Closes: #316737)
    - fixes german man page typos
      (Closes: #313994)
  * Remove unnecessary README documentation file
  * Updated standards version to 3.6.2.1

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 27 Apr 2005 12:11:10 +0200

linkchecker (2.9-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 13 Apr 2005 23:03:52 +0200

linkchecker (2.8-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 31 Mar 2005 17:00:29 +0200

linkchecker (2.7-1) unstable; urgency=low

  * New upstream release.
    (Closes: #301529) - mailto-check is incomplete

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 29 Mar 2005 17:43:01 +0200

linkchecker (2.6-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  4 Mar 2005 21:31:44 +0100

linkchecker (2.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Feb 2005 14:56:49 +0100

linkchecker (2.4-2) unstable; urgency=low

  * import profile module conditionally, and suggest python2.4-profiler
    package

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 10 Feb 2005 15:02:51 +0100

linkchecker (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  7 Feb 2005 01:31:03 +0100

linkchecker (2.3-1) unstable; urgency=low

  * New upstream release.
  * Depend on python 2.4 packages.
  * Make python2.4-optcomplete a suggestion.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Jan 2005 20:24:12 +0100

linkchecker (2.2-1) unstable; urgency=low

  * New upstream release.
  * Suggest psyco

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 20 Jan 2005 20:57:12 +0100

linkchecker (2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-optcomplete.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 10 Jan 2005 16:05:44 +0100

linkchecker (2.0-1) unstable; urgency=low

  * New upstream release.
  * use cdbs for package compilation
  * use ${python:Depends}

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 24 Nov 2004 11:17:34 +0100

linkchecker (1.99+2.0rc2-1) unstable; urgency=low

  * New upstream release (2.0 release candidate).

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 18 Nov 2004 01:59:55 +0100

linkchecker (1.99+2.0rc1-1) unstable; urgency=low

  * New upstream release (2.0 release candidate).

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 25 Oct 2004 23:16:37 +0200

linkchecker (1.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 20 Sep 2004 11:10:28 +0200

linkchecker (1.13.4-1) unstable; urgency=medium

  * New upstream release, fixing serious bug. Medium urgency.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 14 Sep 2004 21:50:44 +0200

linkchecker (1.13.3-1) unstable; urgency=low

  * New upstream release.
  * of course the last entry meant 'move old config file' instead of
    'move old logfiles'

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 10 Sep 2004 09:53:48 +0200

linkchecker (1.13.2-1) unstable; urgency=low

  * New upstream release.
  * move old logfiles to /etc/linkchecker/linkcheckerrc.old in the
    postinst script

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  8 Sep 2004 13:56:44 +0200

linkchecker (1.13.1-2) unstable; urgency=low

  * Added access notes about CGI script to README.Debian
    (Closes: #263568)

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  5 Sep 2004 12:53:55 +0200

linkchecker (1.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu,  2 Sep 2004 23:13:03 +0200

linkchecker (1.13.0-1) unstable; urgency=low

  * New upstream release.
  * added debian/watch file
  * added NEWS.Debian

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  1 Sep 2004 12:10:36 +0200

linkchecker (1.12.3-1) unstable; urgency=low

  * New upstream release.
  * add lintian overrides

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 27 May 2004 09:07:49 +0200

linkchecker (1.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  1 Mar 2004 16:57:00 +0100

linkchecker (1.12.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 20 Feb 2004 00:24:32 +0100

linkchecker (1.12.0-1) unstable; urgency=low

  * New upstream release.
  * install bash_completion script

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 29 Jan 2004 15:06:00 +0100

linkchecker (1.10.3-2) unstable; urgency=low

  * install upstream changelog (Closes: #227141)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 12 Jan 2004 01:58:06 +0100

linkchecker (1.10.3-1) unstable; urgency=low

  * New upstream version

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  3 Jan 2004 17:27:38 +0100

linkchecker (1.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 19 Dec 2003 20:15:58 +0100

linkchecker (1.10.1-1) unstable; urgency=low

  * New upstream version

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 10 Dec 2003 21:18:54 +0100

linkchecker (1.10.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  7 Dec 2003 11:47:25 +0100

linkchecker (1.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Urgency medium, because the psyco enabled builds went into an
    infinite loop and disabled the Ctrl-C break functionality.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 22 Oct 2003 13:25:45 +0200

linkchecker (1.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 16 Oct 2003 22:44:38 +0200

linkchecker (1.9.3-1) unstable; urgency=low

  * New upstream release

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 24 Sep 2003 00:20:36 +0200

linkchecker (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.6.1, no changes

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 11 Sep 2003 23:52:09 +0200

linkchecker (1.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 19 Aug 2003 00:16:00 +0200

linkchecker (1.9.0-1) unstable; urgency=low

  * New upstream release, using Python 2.3.

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  8 Aug 2003 00:37:57 +0200

linkchecker (1.8.22-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  5 Aug 2003 14:56:00 +0200

linkchecker (1.8.21-1) unstable; urgency=low

  * New upstream release

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 29 Jul 2003 01:25:09 +0200

linkchecker (1.8.20-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.6.0

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  9 Jul 2003 22:39:02 +0200

linkchecker (1.8.19-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 25 Jun 2003 22:12:25 +0200

linkchecker (1.8.18-1) unstable; urgency=low

  * New upstream release. (Closes: #197732)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 18 Jun 2003 12:10:51 +0200

linkchecker (1.8.17-1) unstable; urgency=low

  * New upstream version
  * remove python-ssl from description, it's integrated into python2.2
    now

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  6 Jun 2003 11:40:44 +0200

linkchecker (1.8.16-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.5.10.0 (no changes)

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 22 May 2003 00:28:27 +0200

linkchecker (1.8.15-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  5 May 2003 08:28:14 +0200

linkchecker (1.8.14-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 29 Apr 2003 03:09:33 +0200

linkchecker (1.8.13-1) unstable; urgency=low

  * New upstream version

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 28 Apr 2003 13:29:55 +0200

linkchecker (1.8.12-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 27 Apr 2003 16:33:41 +0200

linkchecker (1.8.11-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Apr 2003 15:06:45 +0200

linkchecker (1.8.10-1) unstable; urgency=low

  * New upstream release.
  * Standards Version 3.5.9.0
  * remove unnecessary calls to setup.py

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 16 Mar 2003 13:55:56 +0100

linkchecker (1.8.9-1) unstable; urgency=low

  * New upstream release.
  * use debian/compat instead of DH_COMPAT

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  5 Mar 2003 02:42:23 +0100

linkchecker (1.8.8-1) unstable; urgency=low

  * New upstream release.
  * Drop the glibc depends, its not needed. glibc should be fixed
    on testing itself. (Closes: #180143)

 -- Bastian Kleineidam <calvin@debian.org>  Thu,  6 Feb 2003 02:15:43 +0100

linkchecker (1.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 31 Jan 2003 17:36:51 +0100

linkchecker (1.8.6-1) unstable; urgency=low

  * New upstream release.
  * added glibc 2.3 dependency; fixes htmlsax import errors

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 26 Jan 2003 15:39:58 +0100

linkchecker (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 22 Jan 2003 00:53:21 +0100

linkchecker (1.8.4-1) unstable; urgency=low

  * New upstream release.
  * Some files of 1.8.3 were not checked in CVS correctly, upstream
    (which happens to be me :) recommitted them and released 1.8.4
    (Closes: #176242)

 -- Bastian Kleineidam <calvin@debian.org>  Thu,  9 Jan 2003 20:20:08 +0100

linkchecker (1.8.3-1) unstable; urgency=low

  * New upstream release. (Closes: #175825)

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  5 Jan 2003 00:19:15 +0100

linkchecker (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * install translated cgi html files
  * add pointer to common license in copyright
  * use DH_COMPAT=4, added build-depends: debhelper (>= 4.1.25) to
    remove /usr/doc manglement stuff and add dh_python support for future
    versions. There goes woody backport portability :)

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 28 Dec 2002 18:23:26 +0100

linkchecker (1.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu,  5 Dec 2002 11:00:21 +0100

linkchecker (1.8.0-2) unstable; urgency=low

  * I *new* I forgot something. Move dh_* in debian/rules from
    binary-indep to binary-arch.
    This fixes the build errors (Closes: #171012)
  * Use -r"fakeroot --" instead of -rfakeroot for cvs-buildpackage.
    Just to be sure.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 28 Nov 2002 11:00:32 +0100

linkchecker (1.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 27 Nov 2002 00:31:56 +0100

linkchecker (1.6.7-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 22 Nov 2002 20:26:47 +0100

linkchecker (1.6.6-1) unstable; urgency=low

  * New upstream release.
  * dang, python-dns is still python2.1, so build with this one instead
    of 2.2

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  8 Nov 2002 18:58:00 +0100

linkchecker (1.6.5-1) unstable; urgency=low

  * New upstream release
  * Dont install the test suite files as examples
  * Put all cgi related files together in /usr/lib/cgi-bin/lconline

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 31 Oct 2002 14:55:14 +0100

linkchecker (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 15 Oct 2002 03:08:00 +0200

linkchecker (1.6.3-1) unstable; urgency=low

  * New upstream relese.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 23 Sep 2002 16:48:24 +0200

linkchecker (1.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 11 Sep 2002 20:25:34 +0200

linkchecker (1.6.1-1) unstable; urgency=low

  * New upstream release, and made this a non-native debian package.
  * Standards version 3.5.7.0, no changes
  * Depend on Python version 2.1 (Closes: #159069)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 27 Aug 2002 00:10:20 +0200

linkchecker (1.6.0) unstable; urgency=low

  * linkchecker.1: updated manpage
  * linkcheck/UrlData.py: enable parsing of <meta http-equiv=refresh>
    links again

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  2 Aug 2002 10:57:54 +0200

linkchecker (1.5.7) unstable; urgency=low

  * linkcheck/log/: add forgotten linkcheck. to StringUtil calls

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 25 Jun 2002 17:29:19 +0200

linkchecker (1.5.6) unstable; urgency=low

  * linkcheck/HttpUrlData.py: support for Content-Encoding: gzip
  * linkcheck/DNS: remove included files, depend on external PyDNS
    library

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Jun 2002 14:39:56 +0200

linkchecker (1.5.5) unstable; urgency=low

  * linkcheck/linkname.py: fix linkname regular expressions (from 1.4.9)
  * linkcheck/UrlData.py: (from 1.4.9)
    - do not allow linebreaks in quoted link attributes
    - fix name matching (reported by Jerry Nieuviarts <jerry@clubic.com>)
    - dont use re.DOTALL, the new linkmatcher does not need it
  * linkchecker: documentation typos
  * linkcheck/__init__.py: use getLinkPat function for all config
    entries, not just commandline

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  7 Jun 2002 22:40:10 +0200

linkchecker (1.5.4) unstable; urgency=low

  * linkcheck/log/__init__.py: use ISO 8601 conform timestamps
  * linkcheck/lc_cgi.py: added Nederlands (dutch) to supported languages

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  1 Jun 2002 11:11:58 +0200

linkchecker (1.5.3) unstable; urgency=low

  * linkcheck/DNS/Base.py: import Error exception (from 1.4.7)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 24 May 2002 19:02:48 +0200

linkchecker (1.5.2) unstable; urgency=low

  * add missing import for the log package

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 May 2002 19:13:36 +0200

linkchecker (1.5.1) unstable; urgency=low

  * debian/control: remove python-ssl from suggests
  * linkcheck/UrlData.py: remove non-greedy *? from linkmatcher to avoid
    the maximum recursion limit error (from 1.4.6)
  * linkcheck/HttpUrlData.py: replace empty paths with a slash; adjust
    warning message (from 1.4.6)
  * updated translations
  * new package linkcheck.log to facilitate generation of new loggers

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 May 2002 01:18:15 +0200

linkchecker (1.5.0) unstable; urgency=low

  * More syntax checking for host:port network locations (from 1.4.4)
  * NntpUrlData.py: prevent endless loops with busy NNTP servers sending
    504 or 505 error status. (from 1.4.5)
  * Cookie support
  * Python API for custom loggers
  * Move TestLogger into test_support
  * negation for extern/intern regular expressions

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  5 May 2002 23:08:37 +0200

linkchecker (1.4.3) unstable; urgency=low

  * UrlData.py: also catch Timeout and other exception on retrieving
    recursive content

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 29 Apr 2002 20:22:04 +0200

linkchecker (1.4.2) unstable; urgency=low

  * move DNS package into linkchecker to prevent clash with the original
    Python DNS module (Closes: #143737).
  * Updated german translation.
  * Adjust the internal error message slightly to ask for commandline
    parameters.
  * linkcheck/UrlData.py: modify the linkmatcher pattern to prevent a
    RuntimeError: maximum recursion limit exceeded.
  * Updated the test suite.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 27 Apr 2002 14:58:29 +0200

linkchecker (1.4.1) unstable; urgency=low

  * Catch socket.sslerror for HTTPS connections.
  * Pregenerate directory structure for .mo files, make dist will fail
    if they are not there.
  * Fix DNS configuration in some Windows platforms (untested, no
    platform available for me).

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 20 Mar 2002 23:59:30 +0100

linkchecker (1.4.0) unstable; urgency=low

  * linkcheck/linkname.py: workaround for a bug regex matching with
    re.DOTALL. This could lead to missing linknames, but we can parse
    big files (>200 links) again.
  * linkcheck/linkname.py: immediately return on <img> tags inside <a>.
  * linkchecker: interpolate %s in help text with -o output list
  * MANIFEST.in: include .mo files in the release
  * linkcheck/FileUrlData.py: support for URLs included in text files
  * Added Dutch translation from Hans Brausewein
    <hans.bausewein@comerwell.xs4all.nl>.
  * added ipv6 DNS patch from
    http://sourceforge.net/tracker/index.php?func=detail&aid=512054&grou
    p_id=31674&atid=403047

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 15 Mar 2002 01:39:22 +0100

linkchecker (1.3.22) unstable; urgency=low

  * last release before 1.4.0
  * CGI scripts don't raise Exception when called with missing form
    parameters.
  * The CGI form checking function checks also the language parameter.
  * Updated documentation.
  * Don't bail out if /etc/resolv.conf could not be found on DNS init.
  * corrected installation of locale files
  * install linkchecker.1 in share/man/man1, not man/man1
  * Add support for multiple init_gettext calls, this is needed by CGI
    scripts

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 23 Feb 2002 21:35:52 +0100

linkchecker (1.3.21) unstable; urgency=low

  * really fix the keyboardinterrupt thing
  * enable log=XXX configfile setting, which was always overwritten with
    'text'
  * update example linkcheckerrc file and documentation

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 14 Feb 2002 16:34:30 +0100

linkchecker (1.3.20) unstable; urgency=low

  * fix keyboard interrupt

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  8 Feb 2002 20:11:53 +0100

linkchecker (1.3.19) unstable; urgency=low

  * minor updates for documentation and german translation
  * linkcheck/timeoutsocket.py: new upstream release
  * linkchecker: use config.warn for warnings and use timeoutsocket
    module on all platforms
  * linkcheck/Logging.py: call constructor of base class in all loggers
    and fix the blacklist logger

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  8 Feb 2002 17:23:51 +0100

linkchecker (1.3.18) unstable; urgency=low

  * linkcheck/HttpUrlData.py: cope with malformed http_proxy settings
  * linkcheck/UrlData.py: print a nice error message for internal errors

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 29 Jan 2002 21:57:03 +0100

linkchecker (1.3.17) unstable; urgency=low

  * linkcheck/TelnetUrlData.py: fix telnet syntax checking

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 28 Jan 2002 22:24:50 +0100

linkchecker (1.3.16) unstable; urgency=low

  * DNS/Lib.py: make PackError and UnpackError subclasses of DNS.Error
  * linkcheck/MailUrlData.py: make mail parsing less strict to cope with
    malformed emails

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 28 Jan 2002 18:03:05 +0100

linkchecker (1.3.15) unstable; urgency=low

  * po/de.po: forgot a %d format in the german translation of 'server
    does not support HEAD request'; bug report by Philipp Schwarzhuber
    <philipp@schwarzhuber.com>

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  7 Jan 2002 21:05:45 +0100

linkchecker (1.3.14) unstable; urgency=low

  * better debugging output
  * HttpUrlData.py: send Referer HTTP header when possible.
    This tricks some webservers who try to verify this header.
    It also provides more complete server logfiles :)

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  4 Jan 2002 21:57:00 +0100

linkchecker (1.3.13) unstable; urgency=low

  * remove deleted source files from po/Makefile
  * debian/control: conflict for obsoleted linkchecker-ssl

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  2 Jan 2002 17:27:34 +0100

linkchecker (1.3.12) unstable; urgency=low

  * use string methods where possible
  * Added a lot more recognized URL schemes
    (see http://www.w3.org/Addressing/schemes)
    (Closes: #122163)
  * merge all ignored schemes into one class
  * New Python Policy (fixed in NMU) (Closes: #118254)
  * fixed manpage description of the -f option (Closes: #122159)
  * fix setup.py to work with Python 2.2

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 27 Dec 2001 20:51:47 +0100

linkchecker (1.3.11) unstable; urgency=low

  * setup.py: use os.getcwd(), not "." which breaks on MacOS 9.x
  * added platform-specific install instructions
  * use Pythons builtin gettext module, get rid of fintl.py
  * use Pythons builtin robot.txt parser, get rid of
    robotparser2.py
  * update Python gettext utilities in po/ to newest version (2.1.1)
  * fix the -p password option (thanks to Harri Pasanen
    <harri.pasanen@trema.com> for pointing this out)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 30 Nov 2001 12:13:16 +0100

linkchecker (1.3.10) unstable; urgency=low

  * use Pythons builtin HTTPS support

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 20 Nov 2001 21:24:28 +0100

linkchecker (1.3.9) unstable; urgency=low

  * new config option --interactive for interactive URL input
  * on Windows, install a .bat file on the Desktop (with interactive
    input)
  * updated german .po file
  * support Mozilla-specific chrome:// links
  * fix colored logging

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 17 Nov 2001 15:03:14 +0100

linkchecker (1.3.8) unstable; urgency=low

  * DNS/Base.py: more Windows fixes
  * linkchecker.bat: help for french output
  * updated dependencies for new Debian Python Policy

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 16 Nov 2001 12:03:28 +0100

linkchecker (1.3.7) unstable; urgency=low

  * fix typo in DNS/Base.py Windows Registry handling
  * minor code cleanups
  * add missing split* import for proxy handling (Closes: #115931)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 17 Oct 2001 14:40:34 +0200

linkchecker (1.3.6) unstable; urgency=low

  * fix typo in Copyright blurb
  * implemented Proxy Authentication (untested)
  * Opera Bookmark files (opera.adr) support, they are parsed
    automatically. This support only works for local file links
    (ie. file:///home/joe/.opera/opera.adr)
  * support for TCP socket timeouts with --timeout (untested)
  * replace string module functions with Python 2.x string methods
  * use TCP for DNS MX mailhost lookup as default, not UDP as it seems
    to hang forever (dont know why). This should fix bug #106393, but
    only time and tests will tell.
  * updated DNS.init_dns_config with Windows-specific functions from
    pydns.sf.net (tested only under Win2000)

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 22 Aug 2001 19:34:13 +0200

linkchecker (1.3.5) unstable; urgency=low

  * add traceback import into testsuite
  * fix HTTPS support by using correct import statement and
    calling HTTPS.connect()
  * standards version 3.5.6 (no changes)
  * updated german translation

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  1 Aug 2001 22:32:55 +0200

linkchecker (1.3.4) unstable; urgency=low

  * dont display number of warnings because the number of warnings
    is only correct with --warning or --verbose.
  * fix previous wrong changelog email <calvin@ap-lnx-bastiank>
  * call debug function in MailUrlData.py with correct arguments
  * clarify confusing error msg in MailUrlData.py by using str()
    (Closes: #106649)
  * fix bug which caused LinkChecker not to ignore HTML comments

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 30 Jul 2001 20:37:13 +0200

linkchecker (1.3.3) unstable; urgency=low

  * init_dns_resolver: forgot to import string.lower (Closes: #101044)
  * when we have a HTTP 301 redirect and the url does not end with
    a / remind the user of a potential missing / at the end of the url
  * the recovered-from-broken-PAM release

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 29 Jun 2001 13:14:19 +0200

linkchecker (1.3.2) unstable; urgency=low

  * new option --pause
  * only enable threading with 2 or more threads, not with only 1 thread
  * new debug function with variable arguments
  * more than one debug level; enable them with multiple -D options
  * workaround for broken HEAD with some Apache servers by using GET
  * enable out-of-the-box CGI scripts for Debian package in
    http://localhost/doc/linkchecker/lconline/
    this of course requires an HTTP server installed on your machine
  * change logging config in the CGI scripts, the log file can be
    enabled in linkcheck/lc_cgi.py
  * updated to standards version 3.5.5 (no changes)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 10 Jun 2001 13:20:19 +0200

linkchecker (1.3.1) unstable; urgency=low

  * remove CVS files from Debian source package by using cvs-
    buildpackage

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  5 May 2001 16:05:06 +0200

linkchecker (1.3.0) unstable; urgency=low

  * require and use Python >= 2.0
  * fix ignored configfile settings for loggers
  * optional filename argument for -F (patch from
    Jamie Heilman <jamie@audible.transient.net>)
  * config file option to control which fields the loggers should print
  * fixed possible inifinite loop with redirections (thanks to
    Szabolcs Szakacsits for the report)
  * resolve HTML entities in link names (closes: Bug#90644)
  * debian standards version 3.5.4.0 (no changes)
  * httpslib.py:27: use extra paranthesis around connect() argument for
    Python 2.0 compatibility (thanks to Allan Bailey for the patch)
  * additionally allow https in the CGI scripts (thanks to Allan Bailey
    for the patch)
  * fix for distutils bug: python2None interpreter is wrong
  * fix default location of global config file

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 29 Apr 2001 02:09:41 +0200

linkchecker (1.2.15) unstable; urgency=low

  * remove ssl modules for main linkchecker package; make a separate
    package linkchecker-ssl for non-US
  * adjust build-depends and depends
  * fix anchor checking
  * debian standards version 3.5.2.0
  * require python-distutils >= 1.0.1, removed old compatibility code
  * added FAQ entry for broken links
  * change email address to calvin@debian.org
  * add DNS.Error to caught exceptions
  * add all html link tags (ripped from HTML::Tagset.pm)
  * updated robotparser2.py to newest version
  * catch errors when calling UrlData.checkContent
  * added linkcheckerrc to the conffiles
  * disable threading in the lc.cgi script so the machine wont be
    hogged (closes: Bug#86788)
  * fix https support: add -lssl when compiling ssl module

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  4 Mar 2001 20:55:02 +0100

linkchecker (1.2.14) unstable; urgency=low

  * fixed Python 2.0 bug: TypeError: object has read-only attributes

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Thu, 11 Jan 2001 21:29:00 +0100

linkchecker (1.2.13) unstable; urgency=low

  * linkcheck/HttpUrlData.py:
    - better redirection handling
    - really use host variable in "Host:" header
    - support response code "305 Use proxy"
  * linkcheck/robotparser2.py:
    - better redirection handling
    - cope with user-agent: lines without a preceding blank line
    - printed "Allow" when I meant "Disallow". This has been fixed.
    - two licenses: GPL and Python 2.0
  * linkcheck/__init__.py: user friendly warning for keyboard interrupts
  * debian/control: standards version 3.2.1
  * support Mozilla-specific find: links
  * print link names for:
    - <a href> links (<a href="..">link name</a>)
    - <img> links (the alt= attribute)
    this makes it easier for bookmarks.html files to find the link
    WARNING: this changed the output format!

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Sun,  7 Jan 2001 12:51:19 +0100

linkchecker (1.2.12) unstable; urgency=low

  * MANIFEST.in: include rpm_build_script in source distribution
  * linkcheck/FileUrlData.py:
    - use only expanduser, not normpath in FileUrl constructor. I dont
      want to norm because the user gave me this URL and he should know
      better than me.
  * debian/{postinst,prerm}: use #!/bin/sh -e because it is shorter
    than set -e
  * linkcheck/Config.py: use append(...) for list of config files, not
    insert(0,...)
  * linkcheck/Logging.py: tidy HTML output:
    - use summary attribute in HTML tables
    - fix <center> positioning
    - use DOCTYPE tag
    - use CSS (advantage: makes smaller file size, looks good)
    - finally found the &amp; bug: dont use StringUtil.htmlify
      on the url names.

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Fri, 22 Dec 2000 14:41:12 +0100

linkchecker (1.2.11) unstable; urgency=low

  * debian/rules:
    - use dh_installexamples to install example files in the correct
      directory
    - move test files into a common directory
    - move linkcheckerrc in /etc, make no symlink
  * rpm_build_script: shell script to help build an RPM package
  * setup.cfg: use rpm_build_script
  * MANIFEST.in: exclude LinkCheckerConf.py from distribution to enforce
    a run of 'python setup.py config'

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Sun, 17 Dec 2000 02:22:58 +0100

linkchecker (1.2.10) unstable; urgency=low

  * broken *.mo i18n files fixed
  * test/test1.html: add test for missing quotes
  * debian/control: updated description field
  * moved all single .py files in linkcheck/ except LinkCheckerConf.py
    which is automatically generated

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Thu, 14 Dec 2000 23:50:01 +0100

linkchecker (1.2.9) unstable; urgency=low

  * changed specification and better documentation of intern/extern
    checking; see the FAQ for detailed information
  * linkchecker.1: added a man page
  * setup.py: overloaded distutils debugging function dump_dirs
  * setup.py: handle man pages correctly with bdist_rpm target
  * linkcheck/Config.py: correct order with user/password authentication
    entries (report and fix by Jamie Heilman <jamie@audible.transient.net>)
  * linkchecker: default password is joe@, not guest@ (report and fix by
    Jamie Heilman <jamie@audible.transient.net>)
  * test/*.html: comments in the test suite files
  * Config.py: dont use internals of the UserDict class

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Mon,  4 Dec 2000 11:56:03 +0100

linkchecker (1.2.8) unstable; urgency=low

  * INSTALL: more documentation for the CGI scripts
  * Makefile: better cleaning (clean, cleandeb, distclean)
  * XML output (idea and patch from Nicolas Chauvat
    <Nicolas.Chauvat@logilab.fr>)

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Wed, 15 Nov 2000 23:27:37 +0100

linkchecker (1.2.7) unstable; urgency=low

  * new robot.txt parser module which is interface compatible with the
    one in Python 2.0
  * debian/control: new fields Build-Depends, Build-Depends-Indep
  * debian/control: Architecture is any, not i386
  * debian/control: Standards version 3.1.1,
  * debian/control: depend on Python 1.5.2
  * debian/copyright: first line was too long
  * debian/postinst: compile .py files
  * debian/rules: new configuration target
  * debian/prerm: new file, delete compiled .py files
  * use Python tools for i18n (backported from Python 2.0)
  * proxy configuration is now detected automatically from system
    (environment) variables. NOTE: this means the --proxy options
    are gone!
  * add <script src=> to url list
  * include ssl.c again (was missing in 1.2.6)

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Sat,  4 Nov 2000 10:45:08 +0100

linkchecker (1.2.6) unstable; urgency=low

  * made a FAQ
  * configuration changes: distutils are now required; because of that
    we have no more .tmpl files
  * fix db name in create.sql
  * fix tag parsing when a quoted tag attribute value contains a >
    character

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Sat, 28 Oct 2000 17:52:53 +0200

linkchecker (1.2.5) unstable; urgency=low

  * fix /etc/resolv.conf parsing again (this time for real?)
  * tuple param in DNS/Lib.py for Python 1.6 compatibility
    (Adam Feuer <adamf@pobox.com>)
  * adjust #! line in linkchecker script to correct python interpreter
    (Adam Feuer <adamf@pobox.com>)
  * proper proxy config handling
  * distribution restructuring (now with .rpm and .zip packages)
  * catch EOFError with ftp links (reported by Stan Mulder
    <stan@intrepidsoftware.com>)

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Mon, 11 Sep 2000 10:04:32 +0200

linkchecker (1.2.4) unstable; urgency=low

  * fixed parsing of /etc/resolv.conf with empty lines
  * french translation from Jerome Couderc <j.couderc@ifrance.com>
  * fix for HTTP HEAD requests from bad/dumb/old servers
  * CGI script fixes
  * LinkChecker Online HTML pages added to source
  * news: link support for links which specify a NNTP server
  * fixed parsing of extern? config file options (was endless loop)
  * look more carefully for Zope servers

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Sat, 19 Aug 2000 17:17:12 +0200

linkchecker (1.2.3) unstable; urgency=low

  * typo fix for adjustWinPath
  * added some source code documentation
  * improved error messages for wrong options
  * configuration file options for logger output
  * linkchecker.bat installation support for Windows
  * included test suite in distribution
  * blacklist output support
  * CSV output support
  * SSL autodetection in setup.py
  * added GPL copyright header to each of my .py files
  * i18n support
  * german translation
  * use http_proxy environment variable if present
  * be RFC822 and RFC2368 compliant when scanning mail syntax
  * fix for incorrect line number in logger output (reported by Michael
    Schmitz)
  * Debian package is now lintian clean
  * Only catch some exceptions in main check loop so the KeyboardInterrupt
    exception propagates through
  * Renice the main thread loop by sleep()ing some time
  * New function config.reset()
  * fix dead lock with news: urls
  * print how much links we checked

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Thu, 22 Jun 2000 11:23:49 +0200

linkchecker (1.2.2) unstable; urgency=low

  * fix for anchor checking (Martin Herbener)

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Thu, 13 Apr 2000 00:08:18 +0200

linkchecker (1.2.1) unstable; urgency=low

  * fix for Netscape Enterprise servers
  * fixed congif typo (Thomas Stinner <t.stinner@billiton.de>)
  * fix for authentication (Thomas Stinner <t.stinner@billiton.de>)

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Mon, 10 Apr 2000 18:53:52 +0200

linkchecker (1.2.0) unstable; urgency=low

  * stable release
  * fixed usage text glitches

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Sat,  8 Apr 2000 07:09:23 +0200

linkchecker (1.1.4) unstable; urgency=low

  * Merged changelogs

 -- Bastian Kleineidam <calvin@users.sourceforge.net>  Fri, 24 Mar 2000 19:59:08 +0100

6.4.2000
	* forgot to include linkchecker script in .deb package

30.3.2000
	* support for NNTP news: links
	* forgot to put lc.fcgi and lc.sz_fcgi in release

30.3.2000 Version 1.1.4
	* fixed missing self.mime assignment in HttpUrlData.py

28.3.2000
	* fixed wrong position of configuration file option in Config.py
	* option -W is now -F, -W is a new option for inspecting
	  the content of a link
	* Remove the distutils package. You have to download it now
	  separately if you want to. Otherwise install manually.
	* cache the contents of links while checking

27.3.2000
	* Fixed misspelled exception in UrlData.py (BugTracker)
	* Fixed wrong _time argument in HttpsUrlData.py
	  (Peter <peterw@waybeat.com.au>)
	* Fixed missing env argument in lc.cgi
	* allow a quote (') in mail adresses (e.g. o'hara@foo.com)

26.3.2000
	* FastCGI fixes
	* simplified sz_fcgi.py

25.3.2000
	* FastCGI script fixes
	* do not close the logging file descriptor
	* patch for fcgi.py: flush output immediately

24.3.2000
	* first version of FastCGI script
	* do not install distutils

22.3.2000 Version 1.1.3
	* added README,USAGE for distutils

21.3.2000 Version 1.1.2
	* distutils fixes
	* linkchecker.bat: quote the path

20.3.2000
	* fix a bug in reporting download time
	* added the distutils package

19.3.2000
	* report the duration of checking a link (Check Time)
	* rename httplib.py to http11lib.py so it does not silently
	  replace the standard library httplib.py

12.3.2000
	* first version of distutils setup.py

11.3.2000
	* Better debugging:
	  -D implies -t0
	  HTML data in debug output
	  print line number in UrlData.__str__()
	* set HTTP Host: header for virtual domains
	  comment out the Host: header in httplib.py
	* only send HTTP authorization header when its needed

8.3.2000 Version 1.1.1
	* FastCGI modules added (no script yet)
	* CGI script fixes
	* supply strict/non-strict flag for each external filtering rule

7.3.2000
	* support for multiple user/password pairs

3.3.2000
	* ignore HTTP status replies < 200 because some pages return -1
	  and binary data (Gabor Liptak <gaborliptak@usa.net>)
	* if HEAD reveals MIME type "application/octet", use GET method.
	  this is needed for Zope pages (Bug Tracker submission)

2.3.2000
	* two small comment changes in GML and SQL output
	* linkchecker -V works again :)

29.2.2000 Version 1.1.0
	* GML output additions
	* HTTPS support
	* Colored output fixes

28.2.2000
	* the patched PyLR parser generator works
	* wrote a GML parser

25.2.2000
	* changed the name to LinkChecker; my old Java LinkChecker will
	  disappear because I do not maintain it anymore

21.2.2000
	* add -q, --quiet option
	* convert all url hosts to lowercase
	* log the download time for urls

20.2.2000
	* add Graph Modelling Language (GML) output for sitemaps
	* add SQL output

19.2.2000
	* second try with HTTP/1.1: additionally close response
	* remove deprecated options
	* new option -W, --file-output
	* fix typo for --password option

18.2.2000
	* add "-" to mail adress syntax (Baz <B.Rowlingson@lancaster.ac.uk>)
	* fix typo in pylice (David J. MacKenzie <djm@web.us.uu.net>)

10.2.2000 Version 0.8.0
	* clean the CVS dir
	* fixes for configuration
	* first version of configuration parsing

9.2.2000
	* do not pass anchor in HTTP requests
	* fixes for configuration parsing

8.2.2000
	* fixed bad finished_NoThreads function
	* backed out HTTP/1.1 support. This library is buggy and
	  does not close some filehandles. Eventually you will get
	  a "Too many open files" error
	* strip whitespace from parsed urls

6.2.2000
	* fixed some bugs, the test suite is running again

5.2.2000
	* made "LinkChecker" module
	* configuration is dynamic; no more class variables
	* print line number
	* more agressive closing of filehandles

27.1.2000 Version 0.7.0
	* put pylicerc in /etc for .deb package
	* HTTP/1.1 support with httplib.py from Greg Stein
	* DNS MX lookup for mail adresses
	  use the DNS module from Guido van Rossum and Anthony Baxter
	  MX lookup was a suggestion to LinkChecker from
	  Jimmy Engelbrecht <jimmy@e.kth.se>

26.1.2000 Version 0.6.2
	* refined HTML link syntax to handle non-quoted URLs
	* fix: set urlTuple to None if we cannot check anchors
	* fixed anchor checking again

25.1.2000 Version 0.6.1
	* fixed the HTML link syntax

24.1.2000
	* fix: -e option did not work properly
	* fix: reenabled LinkChecker Online, updated to 0.6.0

21.1.2000 Version 0.6.0
	* fix: add hostname for relative redirections
	* Added TODO list

20.1.2000
	* Added documentation for the LinkChecker class

19.1.2000
	* HTTP Proxy support
	* CGI logging

18.1.2000 Version 0.5.0
	* anchor checking in local HTML files
	* configuration file
	* HTTP Authorization support
	* Send HTTP HEAD method to check and GET method to get contents
	* Still missing: Proxy support (including HTTP status code 305)

17.1.2000
	* cut parameter, query and fragment of local file names
	* limit number of redirections to 5

14.1.2000 Version 0.4.3
	* pylice.bat fix: now it really works
	* fix for local Windows file arguments

14.1.2000 Version 0.4.2
	* StringUtil.indentWith: use string multiplying
	* Still missing: HTTP authorization and Proxy support
	* pylice.bat fix: pass parameters

13.1.2000 Version 0.4.1
	* Windows python.bat script
	* installation updates
	* additional .zip package for Windows

12.1.2000 Version 0.4.0
	* fixed LinkChecker.NumThreads setting: if the platform
	  does not support threading, it is disabled automagically
	* robots.txt parsing
	* split up UrlData.py
	* simplified option parsing
	* strip optional quotes from urls
	* use quit() not close() to disconnect from FTP servers

11.1.2000 Version 0.3.0
	* try to finger for mailto: links
	* try to connect for telnet: links
	* removed time.sleep(1) commands, they are not necessary
	* restrict CGI to recursion level 3
	* make UrlCache and RobotsTxtCache thread safe
	* fixed the 'No more open files' bug by closing all connections
	* fixed thread synchronization in LinkChecker while loop
	* you can specify -t 0 on the commandline to disable threading
	* STILL MISSING:
	  HTTP authorization, Proxy and robots.txt parsing

10.1.2000 Version 0.2.0
	* configure option to disable threading: LinkChecker.threadsupport
	* do not rely on self.mime in HttpUrlData, this could be None
	* flush stdout after each log entry
	* use LinkChecker.User and LinkChecker.Password in FTP connections
	* make sure redirection is not cyclic

9.1.2000 Version 0.1.0
	* HTTP request
	* FTP request
	* fixed MaxRecursionLevel setting
	* fixed name clash of variable and function warning
	* ColoredLogger
	* small doc changes
	* CGI and HTML files for LinkChecker Online,
	  but I still have to install Python on my http server
	  (will try this tomorrow)

8.1.2000
	* Properties, Threader, LinkChecker, UrlData, Logging

7.1.2000 Version 0.0.1
	* Option processing


